AC_INIT(src/gswitchit_applet.c)

PACKAGE="gswitchit_applet"
VERSION="0.80"

GCONF_REQUIRED=1.0.4
GDK_PIXBUF_REQUIRED=0.7.0

AC_SUBST(PACKAGE)
AC_SUBST(VERSION)

AM_CONFIG_HEADER(config.h)

AM_INIT_AUTOMAKE($PACKAGE, $VERSION)

AM_MAINTAINER_MODE

AM_ACLOCAL_INCLUDE(macros)

GNOME_INIT([applets capplet])

AC_PROG_CC
AC_ISC_POSIX
AC_HEADER_STDC
AC_ARG_PROGRAM
AM_PROG_LIBTOOL

AM_PATH_GDK_PIXBUF($GDK_PIXBUF_REQUIRED,,
  AC_MSG_ERROR([*** gdk_pixbuf $GDK_PIXBUF_REQUIRED or better is required.]))
AC_SUBST(GDK_PIXBUF_REQUIRED)

AM_PATH_GCONF($GCONF_REQUIRED,,AC_MSG_ERROR([
*** gconf >= $GCONF_REQUIRED is required]),
gconf gconf-gtk)
AC_SUBST(GCONF_REQUIRED)

AC_ARG_ENABLE(install_schemas,
        [  --disable-install-schemas        Disable installation of the gconf schemas])
AM_CONDITIONAL(INSTALL_SCHEMAS, test x$enable_install_schemas != xno)

if test x$enable_install_schemas != xno; then
        AM_GCONF_SOURCE
fi

GNOME_COMPILE_WARNINGS

ALL_LINGUAS="ru de"
AM_GNU_GETTEXT

AC_SUBST(CFLAGS)
AC_SUBST(LDFLAGS)

AC_OUTPUT([
Makefile
macros/Makefile
xklavier/Makefile
src/Makefile
capplet/Makefile
intl/Makefile
po/Makefile.in
pixmaps/Makefile
man/Makefile
gswitchit.spec
])

